Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3045)
@@ -3759,7 +3764,7 @@
              message_string = 'netCDF file for cross-sections ' //           &
                               TRIM( var ) // ' from previous run found,' //  &
-                              '& but this file cannot be extended due to' // &
+                              ' but this file cannot be extended due to' //  &
                               ' variable mismatch.' //                       & 
-                              '&New file is created instead.'
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0249', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -3792,8 +3797,8 @@
              message_string = 'netCDF file for cross-sections ' //          &
                               TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended due to' // &
+                              ' but this file cannot be extended due to' // &
                               ' mismatch in number of' //                   &
-                              '&cross sections.' //                         &
-                              '&New file is created instead.'
+                              ' cross sections.' //                         &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0250', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -3811,11 +3816,11 @@
              IF ( section(i,3) /= -1 )  THEN
                 IF ( ( ( section(i,3) + 0.5 ) * dx ) /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //    &
-                              TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended' //        &
-                              ' due to mismatch in cross' //                &
-                              '&section levels.' //                         &
-                             '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251', &
+                   message_string = 'netCDF file for cross-sections ' //       &
+                              TRIM( var ) // ' from previous run found,' //    &
+                              ' but this file cannot be extended' //           &
+                              ' due to mismatch in cross' //                   &
+                              ' section levels.' //                            &
+                              ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251',             &
                                                                  0, 1, 0, 6, 0 )
                    extend = .FALSE.
@@ -3824,11 +3829,11 @@
              ELSE
                 IF ( -1.0_wp /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //    &
-                              TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended' //        &
-                              ' due to mismatch in cross' //                &
-                              '&section levels.' //                         &
-                              '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251', &
+                   message_string = 'netCDF file for cross-sections ' //       &
+                              TRIM( var ) // ' from previous run found,' //    &
+                              ' but this file cannot be extended' //           &
+                              ' due to mismatch in cross' //                   &
+                              ' section levels.' //                            &
+                              ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251',             &
                                                                  0, 1, 0, 6, 0 )
                    extend = .FALSE.
@@ -3864,18 +3869,18 @@
           IF ( netcdf_data_format < 5 ) do2d_yz_time_count(av) = ntime_count
 
-          nc_stat = NF90_GET_VAR( id_set_yz(av), id_var_time_yz(av),    &
-                                  last_time_coordinate,                 &
-                                  start = (/ do2d_yz_time_count(av) /), &
+          nc_stat = NF90_GET_VAR( id_set_yz(av), id_var_time_yz(av),           &
+                                  last_time_coordinate,                        &
+                                  start = (/ do2d_yz_time_count(av) /),        &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 215 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for cross sections ' //          &
-                              TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended becaus' // &
-                              'e the current output time' //                &
-                              '&is less or equal than the last output t' // &
-                              'ime on this file.' //                        &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for cross sections ' //             &
+                              TRIM( var ) // ' from previous run found,' //    &
+                              ' but this file cannot be extended becaus' //    &
+                              'e the current output time' //                   &
+                              ' is less or equal than the last output t' //    &
+                              'ime on this file.' //                           &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0252', 0, 1, 0, 6, 0 )
              do2d_yz_time_count(av) = 0
@@ -3891,9 +3896,9 @@
                 message_string = 'netCDF file for cross sections ' //          &
                                  TRIM( var ) // ' from previous run found,' // &
-                                 '&but this file cannot be extended becaus' // &
-                                 'e the number of output time levels&has b' // &
+                                 ' but this file cannot be extended becaus' // &
+                                 'e the number of output time levels has b' // &
                                  'een increased compared to the previous s' // &
                                  'imulation.' //                               &
-                                 '&New file is created instead.'
+                                 ' New file is created instead.'
                 CALL message( 'define_netcdf_header', 'PA0391', 0, 1, 0, 6, 0 )
                 do2d_yz_time_count(av) = 0
@@ -3971,13 +3976,13 @@
           nc_stat = NF90_REDEF( id_set_yz(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 435 )
-          nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'title', &
-                                  TRIM( run_description_header ) //    &
+          nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'title',         &
+                                  TRIM( run_description_header ) //            &
                                   TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 217 )
           nc_stat = NF90_ENDDEF( id_set_yz(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 436 )
-          message_string = 'netCDF file for cross-sections ' //           &
-                            TRIM( var ) // ' from previous run found.' // &
-                           '&This file will be extended.'
+          message_string = 'netCDF file for cross-sections ' //                &
+                            TRIM( var ) // ' from previous run found.' //      &
+                           ' This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0253', 0, 0, 0, 6, 0 )
 
@@ -3988,16 +3993,16 @@
 !--       Define some global attributes of the dataset
           IF ( averaging_interval_pr /= 0.0_wp )  THEN
-             WRITE (time_average_text,'('', '',F7.1,'' s average'')') &
+             WRITE (time_average_text,'('', '',F7.1,'' s average'')')          &
                                                             averaging_interval_pr
-             nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'title',   &
-                                     TRIM( run_description_header ) //  &
+             nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'title',          &
+                                     TRIM( run_description_header ) //         &
                                      TRIM( time_average_text ) )
              CALL netcdf_handle_error( 'netcdf_define_header', 218 )
 
              WRITE ( time_average_text,'(F7.1,'' s avg'')' ) averaging_interval_pr
-             nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'time_avg', &
+             nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'time_avg',       &
                                      TRIM( time_average_text ) )
           ELSE
-             nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'title', &
+             nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'title',          &
                                      TRIM( run_description_header ) )
           ENDIF
@@ -4092,5 +4097,5 @@
              DO  j = 1, cross_profiles_count
 
-                IF ( TRIM(cross_profiles_char(j)) == TRIM(data_output_pr(i))) &
+                IF ( TRIM(cross_profiles_char(j)) == TRIM(data_output_pr(i)))  &
                 THEN
                    EXIT
@@ -4101,7 +4106,7 @@
                    cross_profiles_count = cross_profiles_count + 1
                    cross_profiles_maxi  = cross_profiles_maxi  + 1
-                   cross_profiles_char(MIN( crmax, cross_profiles_count )) =  &
+                   cross_profiles_char(MIN( crmax, cross_profiles_count )) =   &
                                                       TRIM( data_output_pr(i) )
-                   cross_profiles_numb(MIN( crmax, cross_profiles_count )) =  &
+                   cross_profiles_numb(MIN( crmax, cross_profiles_count )) =   &
                                                       cross_profiles_maxi
                 ENDIF
@@ -4111,7 +4116,7 @@
 
           IF ( cross_profiles_count >= crmax )  THEN
-             message_string = 'It is not allowed to arrange more than '     &
-                              // '100 profiles with & cross_profiles. Apart'&
-                              // ' from that, all profiles are saved & to ' &
+             message_string = 'It is not allowed to arrange more than '        &
+                              // '100 profiles with cross_profiles. Apart'     &
+                              // ' from that, all profiles are saved to '      &
                               // 'the netCDF file.'
              CALL message( 'define_netcdf_header', 'PA0354', 0, 0, 0, 6, 0 )
@@ -4285,9 +4290,9 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for vertical profiles ' //        &
-                              'from previous run found,' //                  &
-                              '& but this file cannot be extended due to' // &
-                              ' variable mismatch.' //                       &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for vertical profiles ' //          &
+                              'from previous run found,' //                    &
+                              ' but this file cannot be extended due to' //    &
+                              ' variable mismatch.' //                         &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0254', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -4319,11 +4324,11 @@
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for vertical profiles ' //       &
-                              'from previous run found,' //                 &
-                              '&but this file cannot be extended becaus' // &
-                              'e the current output time' //                &
-                              '&is less or equal than the last output t' // &
-                              'ime on this file.' //                        &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for vertical profiles ' //          &
+                              'from previous run found,' //                    &
+                              ' but this file cannot be extended becaus' //    &
+                              'e the current output time' //                   &
+                              ' is less or equal than the last output t' //    &
+                              'ime on this file.' //                           &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0255', 0, 1, 0, 6, 0 )
              dopr_time_count = 0
@@ -4339,5 +4344,5 @@
  
              IF ( statistic_regions == 0 )  THEN
-                nc_stat = NF90_INQ_VARID( id_set_pr, data_output_pr(i), &
+                nc_stat = NF90_INQ_VARID( id_set_pr, data_output_pr(i),        &
                                           id_var_dopr(i,0) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 245 )
@@ -4346,5 +4351,5 @@
                    WRITE ( suffix, '(''_'',I2.2)' )  j
                    netcdf_var_name = TRIM( data_output_pr(i) ) // suffix
-                   nc_stat = NF90_INQ_VARID( id_set_pr, netcdf_var_name, &
+                   nc_stat = NF90_INQ_VARID( id_set_pr, netcdf_var_name,       &
                                              id_var_dopr(i,j) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 246 )
@@ -4378,6 +4383,6 @@
           nc_stat = NF90_REDEF( id_set_pr )
           CALL netcdf_handle_error( 'netcdf_define_header', 437 )
-          nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'title', &
-                                  TRIM( run_description_header ) //    &
+          nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'title',             &
+                                  TRIM( run_description_header ) //            &
                                   TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 248 )
@@ -4385,7 +4390,7 @@
           nc_stat = NF90_ENDDEF( id_set_pr )
           CALL netcdf_handle_error( 'netcdf_define_header', 438 )
-          message_string = 'netCDF file for vertical profiles ' // &
-                           'from previous run found.' //           &
-                           '&This file will be extended.'
+          message_string = 'netCDF file for vertical profiles ' //             &
+                           'from previous run found.' //                       &
+                           ' This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0256', 0, 0, 0, 6, 0 )
 
@@ -4395,5 +4400,5 @@
 !
 !--       Define some global attributes of the dataset
-          nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'title', &
+          nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'title',             &
                                   TRIM( run_description_header ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 249 )
@@ -4476,5 +4481,5 @@
                 DO  j = 0, statistic_regions
                    WRITE ( suffix, '(''_'',I2.2)' )  j
-                   var_list = TRIM( var_list ) // TRIM( dots_label(i) ) // &
+                   var_list = TRIM( var_list ) // TRIM( dots_label(i) ) //     &
                               suffix // ';'
                 ENDDO
@@ -4484,9 +4489,9 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for time series ' //              &
-                              'from previous run found,' //                  &
-                              '& but this file cannot be extended due to' // &
-                              ' variable mismatch.' //                       &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for time series ' //                &
+                              'from previous run found,' //                    &
+                              ' but this file cannot be extended due to' //    &
+                              ' variable mismatch.' //                         &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0257', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -4502,27 +4507,27 @@
           CALL netcdf_handle_error( 'netcdf_define_header', 261 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_ts, id_var_time_ts, &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_ts, id_var_time_ts,          &
                                            dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 262 )
           id_dim_time_ts = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_ts, id_dim_time_ts, &
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_ts, id_dim_time_ts,         &
                                             len = dots_time_count )
           CALL netcdf_handle_error( 'netcdf_define_header', 263 )
 
-          nc_stat = NF90_GET_VAR( id_set_ts, id_var_time_ts,        &
-                                  last_time_coordinate,             &
-                                  start = (/ dots_time_count /), &
+          nc_stat = NF90_GET_VAR( id_set_ts, id_var_time_ts,                   &
+                                  last_time_coordinate,                        &
+                                  start = (/ dots_time_count /),               &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 264 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for time series ' //             &
-                              'from previous run found,' //                 &
-                              '&but this file cannot be extended becaus' // &
-                              'e the current output time' //                &
-                              '&is less or equal than the last output t' // &
-                              'ime on this file.' //                        &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for time series ' //                &
+                              'from previous run found,' //                    &
+                              ' but this file cannot be extended becaus' //    &
+                              'e the current output time' //                   &
+                              ' is less or equal than the last output t' //    &
+                              'ime on this file.' //                           &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0258', 0, 1, 0, 6, 0 )
              dots_time_count = 0
@@ -4562,12 +4567,12 @@
           nc_stat = NF90_REDEF( id_set_ts )
           CALL netcdf_handle_error( 'netcdf_define_header', 439 )
-          nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'title', &
+          nc_stat = NF90_PUT_ATT( id_set_ts, NF90_GLOBAL, 'title',             &
                                   TRIM( run_description_header ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 267 )
           nc_stat = NF90_ENDDEF( id_set_ts )
           CALL netcdf_handle_error( 'netcdf_define_header', 440 )
-          message_string = 'netCDF file for time series ' // &
-                           'from previous run found.' //     &
-                           '&This file will be extended.'
+          message_string = 'netCDF file for time series ' //                   &
+                           'from previous run found.' //                       &
+                           ' This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0259', 0, 0, 0, 6, 0 )
 
@@ -4578,8 +4583,8 @@
 !--       Define some global attributes of the dataset
           IF ( averaging_interval_sp /= 0.0_wp )  THEN
-             WRITE (time_average_text,'('', '',F7.1,'' s average'')') &
+             WRITE (time_average_text,'('', '',F7.1,'' s average'')')          &
                                                             averaging_interval_sp
-             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title',  &
-                                     TRIM( run_description_header ) // &
+             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title',          &
+                                     TRIM( run_description_header ) //         &
                                      TRIM( time_average_text ) )
              CALL netcdf_handle_error( 'netcdf_define_header', 268 )
@@ -4801,9 +4806,9 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for spectra  ' //                 &
-                              'from previous run found,' //                  &
-                              '& but this file cannot be extended due to' // &
-                              ' variable mismatch.' //                       &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for spectra  ' //                   &
+                              'from previous run found,' //                    &
+                              ' but this file cannot be extended due to' //    &
+                              ' variable mismatch.' //                         &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0260', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -4835,10 +4840,10 @@
 
           IF ( ns /= ns_old )  THEN
-             message_string = 'netCDF file for spectra ' //                 &
-                              ' from previous run found,' //                &
-                              '&but this file cannot be extended due to' // &
-                              ' mismatch in number of' //                   &
-                              '&vertical levels.' //                        &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for spectra ' //                    &
+                              ' from previous run found,' //                   &
+                              ' but this file cannot be extended due to' //    &
+                              ' mismatch in number of' //                      &
+                              ' vertical levels.' //                           &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0261', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -4857,8 +4862,8 @@
                 message_string = 'netCDF file for spectra ' //                 &
                                  ' from previous run found,' //                &
-                                 '&but this file cannot be extended due to' // &
+                                 ' but this file cannot be extended due to' // &
                                  ' mismatch in heights of' //                  &
-                                 '&vertical levels.' //                        &
-                                 '&New file is created instead.'
+                                 ' vertical levels.' //                        &
+                                 ' New file is created instead.'
                 CALL message( 'define_netcdf_header', 'PA0262', 0, 1, 0, 6, 0 )
                 extend = .FALSE.
@@ -4893,11 +4898,11 @@
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for spectra ' //                 &
-                              'from previous run found,' //                 &
-                              '&but this file cannot be extended becaus' // &
-                              'e the current output time' //                & 
-                              '&is less or equal than the last output t' // &
-                              'ime on this file.' //                        &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for spectra ' //                    &
+                              'from previous run found,' //                    &
+                              ' but this file cannot be extended becaus' //    &
+                              'e the current output time' //                   &  
+                              ' is less or equal than the last output t' //    &
+                              'ime on this file.' //                           &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0263', 0, 1, 0, 6, 0 )
              dosp_time_count = 0
@@ -4948,8 +4953,8 @@
 
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval_sp
-             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'time_avg', &
+             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'time_avg',       &
                                      TRIM( time_average_text ) )
           ELSE
-             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title', &
+             nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title',          &
                                      TRIM( run_description_header ) )
           ENDIF
@@ -4957,59 +4962,61 @@
           nc_stat = NF90_ENDDEF( id_set_sp )
           CALL netcdf_handle_error( 'netcdf_define_header', 442 )
-          message_string = 'netCDF file for spectra ' //     &
-                           'from previous run found.' //     &
-                           '&This file will be extended.'
+          message_string = 'netCDF file for spectra ' //                       &
+                           'from previous run found.' //                       &
+                           ' This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0264', 0, 0, 0, 6, 0 )
 
-
-       CASE ( 'pt_new' )
+!
+!--     Currently disabled (DATA_PRT_NETCDF)
+!       CASE ( 'pt_new' )
 
 !
 !--       Define some global attributes of the dataset
-          nc_stat = NF90_PUT_ATT( id_set_prt, NF90_GLOBAL, 'title', &
-                                  TRIM( run_description_header ) )
-          CALL netcdf_handle_error( 'netcdf_define_header', 310 )
+!          nc_stat = NF90_PUT_ATT( id_set_prt, NF90_GLOBAL, 'title',            &
+!                                  TRIM( run_description_header ) )
+!          CALL netcdf_handle_error( 'netcdf_define_header', 310 )
 
 !
 !--       Define time coordinate for particles (unlimited dimension)
-          CALL netcdf_create_dim( id_set_prt, 'time', NF90_UNLIMITED,          &
-                                  id_dim_time_prt, 311 )
-          CALL netcdf_create_var( id_set_prt, (/ id_dim_time_prt /), 'time',   &
-                                  NF90_DOUBLE, id_var_time_prt, 'seconds', '', &
-                                  312, 313, 000 )
+!          CALL netcdf_create_dim( id_set_prt, 'time', NF90_UNLIMITED,          &
+!                                  id_dim_time_prt, 311 )
+!          CALL netcdf_create_var( id_set_prt, (/ id_dim_time_prt /), 'time',   &
+!                                  NF90_DOUBLE, id_var_time_prt, 'seconds', '', &
+!                                  312, 313, 000 )
 !
 !--       netCDF4 allows more than one unlimited dimension
-          CALL netcdf_create_dim( id_set_prt, 'particle_number',            &
-                                  NF90_UNLIMITED, id_dim_prtnum, 314 )
-
-          CALL netcdf_create_var( id_set_prt, (/ id_dim_prtnum /),             &
-                                  'particle_number', NF90_DOUBLE,              &
-                                  id_var_prtnum, 'particle number', '', 315,   &
-                                  316, 000 )
+!          CALL netcdf_create_dim( id_set_prt, 'particle_number',            &
+!                                  NF90_UNLIMITED, id_dim_prtnum, 314 )
+
+!          CALL netcdf_create_var( id_set_prt, (/ id_dim_prtnum /),             &
+!                                  'particle_number', NF90_DOUBLE,              &
+!                                  id_var_prtnum, 'particle number', '', 315,   &
+!                                  316, 000 )
 !
 !--       Define variable which contains the real number of particles in use
-          CALL netcdf_create_var( id_set_prt, (/ id_dim_time_prt /),           &
-                                  'real_num_of_prt', NF90_DOUBLE,              &
-                                  id_var_rnop_prt, 'particle number', '', 317, &
-                                  318, 000 )
+!          CALL netcdf_create_var( id_set_prt, (/ id_dim_time_prt /),           &
+!                                  'real_num_of_prt', NF90_DOUBLE,              &
+!                                  id_var_rnop_prt, 'particle number', '', 317, &
+!                                  318, 000 )
 !
 !--       Define the variables
-          DO  i = 1, 17
-
-             CALL netcdf_create_var( id_set_prt, (/ id_dim_prtnum,             &
-                                     id_dim_time_prt /), prt_var_names(i),     &
-                                     nc_precision(8), id_var_prt(i),           &
-                                     TRIM( prt_var_units(i) ),                 &
-                                     TRIM( prt_var_names(i) ), 319, 320, 321 )
-
-          ENDDO
+!          DO  i = 1, 17
+
+!             CALL netcdf_create_var( id_set_prt, (/ id_dim_prtnum,             &
+!                                     id_dim_time_prt /), prt_var_names(i),     &
+!                                     nc_precision(8), id_var_prt(i),           &
+!                                     TRIM( prt_var_units(i) ),                 &
+!                                     TRIM( prt_var_names(i) ), 319, 320, 321 )
+
+!          ENDDO
 
 !
 !--       Leave netCDF define mode
-          nc_stat = NF90_ENDDEF( id_set_prt )
-          CALL netcdf_handle_error( 'netcdf_define_header', 322 )
-
-
-       CASE ( 'pt_ext' )
+!          nc_stat = NF90_ENDDEF( id_set_prt )
+!          CALL netcdf_handle_error( 'netcdf_define_header', 322 )
+
+!
+!--     Currently disabled (DATA_PRT_NETCDF)
+!       CASE ( 'pt_ext' )
 
 !
